
subtle - Bug #203

Gravity calculation issue

05/12/2011 11:08 PM - Lasse Christensen

Status: Fixed Start date: 05/12/2011

Priority: Urgent Due date:  

Assignee: Christoph Kappel % Done: 100%

Category: Bugfix Estimated time: 0.00 hour

Target version: Nu   

Description

This issue was first reported by dwfreed, and confirmed by lchr and unexist on IRC.

Using a 1680x1050 screen with a 17px top panel and 1033px of vertical space results in the following output from subtler -el:

0    0 x 17   1680 + 1033

Setting up four windows with 25% height and placing them at y-values of 0, 25, 50, and 75 results in the following subtler -cl output:

1    4 x   21 + 1672 + 250

1    4 x   214 + 1672 + 250

1    4 x   408 + 1672 + 250

1    4 x   602 + 1672 + 250

The y-values are 21, 214, 408, and 602, which is incorrect given the gravities specified. The fourth window should (by my quick math,

which may be inaccurate) be defined as:

1    4 x   796 + 1672 + 250

History

#1 - 05/12/2011 11:13 PM - Lasse Christensen

Whoops, that calculation IS wrong; I was calculating the position of a window placed at gravity [0, 88, 100, 25]. For an y-value of 75, the window

should be:

1 4 x 646 + 1672 + 250

#2 - 05/12/2011 11:25 PM - Lasse Christensen

Ah, a final note:

I know you don't need me to calculate the correct placement. I was just trying to figure out if I had understood the problem correctly.

#3 - 05/13/2011 12:37 AM - Christoph Kappel

- Target version set to Nu

- Assignee set to Non member users

#4 - 05/13/2011 11:47 PM - Christoph Kappel

- % Done changed from 0 to 100

- Status changed from Unconfirmed to Fixed

Applied in changeset 503e5e44ceae.
